# 38. Lekérdezés: „UserData” lekérése

Szerezze be a jogosult felhasználó „UserData” adatait.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    email
    teljesTerület
    maxTerület
    területMértékegység
    nyelv
    apiKulcs
    talajAdatkészletOsztályokSzáma
    szervezetek {
      uuid
      név
      vezetéknév
      keresztNév
      email
      telefon
      létrehozásDátuma
      updatedDate
      felhasználók {
        szervezetUuid
        userUuid
        email
        összesGazdaság
        létrehozásDátuma
        updatedDate
        gazdaságok {
          uuid
          userUuid
          név
          létrehozásDátuma
          updatedDate
          farmOwnership
          email
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/38.-lekerdezes-userdata-lekerese.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
